Skip to content

InventoryDefault⁠

Perform various operations for Symitar parameters.

Operations⁠

getInventoryDefaultSelectFields⁠

POST

Execute the persistent ParameterService getInventoryDefaultSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryDefaultInventoryTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryDefaultSelectFields
POST /nexum/627/persistent/parameter/getInventoryDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryDefaultInventoryType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllInventoryDefaultFields": true,
    "InventoryDefaultFields": {
      "Cost": true,
      "FaceValue": true,
      "InventoryType": true,
      "LocationCode": true,
      "Price": true,
      "Quantity": true,
      "StandardFee": true,
      "Status": true,
      "TermFrequency": true,
      "TermPeriod": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getInventoryDefaultPagedListSelectFields⁠

POST

Execute the persistent ParameterService getInventoryDefaultPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryDefaultPagedListSelectFields
POST /nexum/627/persistent/parameter/getInventoryDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryDefaultFields": true,
    "InventoryDefaultFields": {
      "Cost": true,
      "FaceValue": true,
      "InventoryType": true,
      "LocationCode": true,
      "Price": true,
      "Quantity": true,
      "StandardFee": true,
      "Status": true,
      "TermFrequency": true,
      "TermPeriod": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchInventoryDefaultPagedSelectFields⁠

POST

Execute the persistent ParameterService searchInventoryDefaultPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchInventoryDefaultPagedSelectFields
POST /nexum/627/persistent/parameter/searchInventoryDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryDefaultFields": true,
    "InventoryDefaultFields": {
      "Cost": true,
      "FaceValue": true,
      "InventoryType": true,
      "LocationCode": true,
      "Price": true,
      "Quantity": true,
      "StandardFee": true,
      "Status": true,
      "TermFrequency": true,
      "TermPeriod": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateInventoryDefaultByID⁠

POST

Execute the persistent ParameterService updateInventoryDefaultByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryDefaultInventoryTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateInventoryDefaultByID
POST /nexum/627/persistent/parameter/updateInventoryDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryDefaultInventoryType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "InventoryDefaultFields": {
    "Cost": 0,
    "FaceValue": 0,
    "InventoryType": 0,
    "LocationCode": "string",
    "Price": 0,
    "Quantity": 0,
    "StandardFee": 0,
    "Status": 0,
    "TermFrequency": 0,
    "TermPeriod": 0,
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}